#ifndef TETRA_UPPER_MAC_H
#define TETRA_UPPER_MAC_H

#include "tetra_prim.h"

/* Define whether to reassemble MAC-RESOURCE / MAC-FRAG / MAC-END */
#define REASSEMBLE_FRAGMENTS 1
#define FRAGSLOT_NR_SLOTS 5 /* Slot 0 is unused */

#define N203 6  /* see N.203 in the tetra docs, should be 4 or greater */
#define FRAGSLOT_MSGB_SIZE 8192
struct fragslot {
	int active;
	int age;
	struct msgb *msgb;
	int length;
	int num_frags;
	int encryption;
};

void upper_mac_init_fragslots();
int upper_mac_prim_recv(struct osmo_prim_hdr *op, void *priv);

#endif
